|  | Home | Documentation | saml2__ProxyRestrictionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__ProxyRestrictionType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":ProxyRestrictionType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":ConditionAbstractType. More...

`#include <saml2.h>`

## Public Attributes
int | __sizeAudience
| INHERITED FROM saml2__ConditionAbstractType: More...
char ** | saml2__Audience
| Array char* * of size 0..unbounded. More...
char * | Count
| Attribute "Count" of type xs:nonNegativeInteger. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":ProxyRestrictionType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":ConditionAbstractType.

Note
  struct saml2__ProxyRestrictionType operations:
  - saml2__ProxyRestrictionType* soap_new_saml2__ProxyRestrictionType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__ProxyRestrictionType(struct soap*, saml2__ProxyRestrictionType*) default initialize members
  - int soap_read_saml2__ProxyRestrictionType(struct soap*, saml2__ProxyRestrictionType*) deserialize from a source
  - int soap_write_saml2__ProxyRestrictionType(struct soap*, saml2__ProxyRestrictionType*) serialize to a sink
  - saml2__ProxyRestrictionType* soap_dup_saml2__ProxyRestrictionType(struct soap*, saml2__ProxyRestrictionType* dst, saml2__ProxyRestrictionType <em>src) returns deep copy of saml2__ProxyRestrictionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__ProxyRestrictionType(saml2__ProxyRestrictionType) deep deletes saml2__ProxyRestrictionType data members, use only on dst after soap_dup_saml2__ProxyRestrictionType(NULL, saml2__ProxyRestrictionType *dst, saml2__ProxyRestrictionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml2__ProxyRestrictionType::__sizeAudience

INHERITED FROM saml2__ConditionAbstractType:

Size of the dynamic array of values of type char* * is 0..unbounded.

char* saml2__ProxyRestrictionType::Count

Attribute "Count" of type xs:nonNegativeInteger.

Optional attribute.

char* * saml2__ProxyRestrictionType::saml2__Audience

Array char* * of size 0..unbounded.

Multiple elements.

The documentation for this struct was generated from the following file:

- saml2.h